$background-color: #fffef7;
$text-color: #411;

@import url('https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@200;300;400;700&family=Roboto+Slab:wght@200;400;900&display=swap');

html {
  min-height: 100vh;
}

body {
  background-color: $background-color;
  font-family: 'Roboto Condensed', sans-serif;
  min-height: 100%;
  padding: 5px;
  font-size: 16px;
}

.container {
  border: 2px dotted $text-color;
  box-sizing: border-box;
  max-width: 960px;
  margin: auto;
  padding: 10px;
  width: 100%;
}

h1 {
  font-size: 4rem;
  font-weight: 400;
  margin: 0;
  letter-spacing: 10px;
  padding: 0 0 0 10px;
  text-align: center;
  text-transform: uppercase;
}

h2 {
  font-weight: 300;
  font-size: 2rem;
  margin: 0;
  padding: 0 0 0 10px;
  text-align: center;
  text-transform: uppercase;
  letter-spacing: 10px;
}

h3 {
  font-size: .8rem;
  font-weight: 200;
  margin: 0;
  letter-spacing: 5px;
  text-align: center;
  text-transform: uppercase;

  &:before,
  &:after {
    border-top: 1px solid $text-color;
    content: "";
    display: inline-block;
    margin: 0 10px 2px;
    height: 0;
    vertical-align: middle;
    width: 50px;
  }

  &:before {
    margin: 0 15px 4px 10px;
  }
}

h4 {
  border-top: 1px solid $text-color;
  border-bottom: 1px solid $text-color;
  font-weight: 200;
  letter-spacing: 5px;
  margin: 10px 0 5px;
  padding-left: 5px;
  text-align: center;
  text-transform: uppercase;
}

ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

li {
  display: flex;
  flex-direction: row;
  border-bottom: 1px dotted $text-color;
  padding-bottom: 3px;
  margin-bottom: 3px;

  &:last-child {
    border-bottom: 0;
  }
}

.item-left {
  flex: 1;
}

.item-title {
  text-transform: uppercase;
  font-weight: 700;

  svg {
    width: 16px;
    fill: $text-color;
    vertical-align: middle;
  }
}

.small-price,
.large-price {
  display: inline-block;
}

.item-description {
  font-weight: 300;
  font-size: 14px;
}

.small-label,
.large-label {
  font-size: 10px;
  text-transform: uppercase;
  font-weight: 300;
}

.item-right {
  flex: 1;
}

.item-prices {
  text-align: right;
}

footer {
  text-align: center;
  margin-top: 30px;

  .legend {
    font-size: 14px;
    font-weight: 300;
    line-height: 16px;
    margin-bottom: 20px;
    text-align: center;
    text-transform: uppercase;
    vertical-align: middle;

    svg {
      fill: $text-color;
      height: 16px;
      vertical-align: middle;
    }
  }
}

.qr-code {
  margin: 20px 0;
  text-align: center;
}

@media only screen and (min-width: 640px) {
  .item-title {
    font-size: 24px;
  }

  .item-prices {
    font-size: 24px;
  }

  .item-description {
    font-size: 18px;
  }

  h4 {
    font-size: 24px;
  }
}
